> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miav.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Dashboard summary

> Aggregates stations, connectors, sessions and energy over a period, as a time series and optionally broken down per station.



## OpenAPI

````yaml /openapi.json post /dashboard/summary
openapi: 3.1.0
info:
  title: CSMS API
  description: Backend API documentation
  version: 0.0.0
servers: []
security: []
paths:
  /dashboard/summary:
    post:
      tags:
        - dashboard
      summary: Dashboard summary
      description: >-
        Aggregates stations, connectors, sessions and energy over a period, as a
        time series and optionally broken down per station.
      operationId: postDashboardSummary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                to:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                groupId:
                  type: number
                stationId:
                  type: number
                bucket:
                  type: string
                  enum:
                    - hour
                    - day
                utcOffsetMinutes:
                  type: integer
                  minimum: -840
                  maximum: 840
                byStation:
                  type: boolean
              required:
                - from
                - to
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      period:
                        type: object
                        properties:
                          from:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          to:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          bucket:
                            type: string
                            enum:
                              - hour
                              - day
                          utcOffsetMinutes:
                            type: number
                        required:
                          - from
                          - to
                          - bucket
                          - utcOffsetMinutes
                      stations:
                        type: object
                        properties:
                          total:
                            type: number
                          online:
                            type: number
                          offline:
                            type: number
                        required:
                          - total
                          - online
                          - offline
                      connectors:
                        type: object
                        properties:
                          total:
                            type: number
                          byStatus:
                            type: object
                            propertyNames:
                              type: string
                              enum:
                                - AVAILABLE
                                - OCCUPIED
                                - RESERVED
                                - UNAVAILABLE
                                - FAULTED
                            additionalProperties:
                              type: number
                            required:
                              - AVAILABLE
                              - OCCUPIED
                              - RESERVED
                              - UNAVAILABLE
                              - FAULTED
                        required:
                          - total
                          - byStatus
                      sessions:
                        type: object
                        properties:
                          total:
                            type: number
                          active:
                            type: number
                          ended:
                            type: number
                          energyKwh:
                            type: number
                        required:
                          - total
                          - active
                          - ended
                          - energyKwh
                      series:
                        type: array
                        items:
                          type: object
                          properties:
                            bucket:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            sessions:
                              type: number
                            energyKwh:
                              type: number
                          required:
                            - bucket
                            - sessions
                            - energyKwh
                      byStation:
                        type: array
                        items:
                          type: object
                          properties:
                            stationId:
                              type: number
                            sessions:
                              type: number
                            energyKwh:
                              type: number
                          required:
                            - stationId
                            - sessions
                            - energyKwh
                    required:
                      - period
                      - stations
                      - connectors
                      - sessions
                      - series
                required:
                  - summary
        '400':
          description: The period start must be before the period end
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 400
                  message:
                    type: string
                    const: The period start must be before the period end
                  type:
                    type: string
                    const: DASHBOARD_INVALID_PERIOD
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 404
                  message:
                    type: string
                    const: Organization not found
                  type:
                    type: string
                    const: ORGANIZATION_NOT_FOUND
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type

````